- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IActiveControl IBindable ICache ICacheDependency ICallbackEventHandler IDataRenderer IModule IRenderable IService IStatePersister IStyleable ITextWriter IUser Prado PradoBase TApplication TApplicationComponent TApplicationConfiguration TApplicationMode TApplicationStatePersister TComponent TComponentReflection TDraggableConstraint TDropContainerEventParameter TEnumerable TEventParameter TModule TPropertyValue TReflectionClass TService TShellApplication |
Keyword
# Class TApplicationMode
    TEnumerable
       |
       --TApplicationMode
TApplicationMode class. TApplicationMode defines the possible mode that an application can be set at by setting TApplication::setMode. In particular, the following modes are defined Off: the application is not running. Any request to the application will obtain an error. Debug: the application is running in debug mode. Normal: the application is running in normal production mode. Performance: the application is running in performance mode. Since: 3.0.4 Author: Qiang Xue <qiang.xue@gmail.com>
Constant Summary
string | Debug |
string | Normal |
string | Off |
string | Performance |
Constant Details
### Debug #### Type: string #### Value: 'Debug'
### Normal #### Type: string #### Value: 'Normal'
### Off #### Type: string #### Value: 'Off'
### Performance #### Type: string #### Value: 'Performance'